### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-form-group/ecl-form-group.component.ts`

### Metadata

selector | `ecl-form-group`
templateUrl | `./ecl-form-group.component.html`

### Index

###### Inputs
for isDisabled isInvalid isOptional isRequired label styleClass

### Constructor

`constructor()`

### Inputs

for
Type : `string`

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

isOptional
Type : `boolean`
Default value : `false`

isRequired
Type : `boolean`
Default value : `false`

label
Type : `string`

styleClass
Type : `string`

# result-matching ""

# No results matching ""